"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0d8b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0d940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0d9d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0da60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0daf0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0db80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0dc10>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0dca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0dd30>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0ddc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0de50>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0dee0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b0df70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14040>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b140d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14160>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b141f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14280>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14310>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b143a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14430>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b144c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14550>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b145e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14700>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14670>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14790>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14820>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b148b0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14940>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b149d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14a60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14af0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14b80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14c10>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14ca0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14d30>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14dc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14e50>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14ee0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b14f70>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b170d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b171f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17310>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b173a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17430>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b174c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17550>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b175e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17670>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17700>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17790>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17820>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b178b0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b179d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17a60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17af0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17b80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17c10>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17ca0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17d30>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17dc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b17f70>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b040>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b0d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b160>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b1f0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b310>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b280>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b3a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b430>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b4c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b5e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b550>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b670>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b700>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b790>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b820>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b8b0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa716b1b940>)]
name: str = 'fr_HOCCN'
